Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.transport
Class AppSocketReceiverWrapper<Identifier>

    java.lang.Object
      rice.pastry.transport.AppSocketReceiverWrapper<Identifier>

All Implemented Interfaces:
  P2PSocketReceiver<Identifier>

    public class AppSocketReceiverWrapper<Identifier>

extends java.lang.Object
implements P2PSocketReceiver<Identifier>

Constructor Summary
`AppSocketReceiverWrapper(AppSocketReceiver receiver, SocketAdapter<Identifier> socket, Environment env)`

Method Summary
`void` | `receiveException(P2PSocket<Identifier> s, java.lang.Exception ioe)` Called when there is an error
`void` | `receiveSelectResult(P2PSocket<Identifier> s, boolean canRead, boolean canWrite)` Called when a socket is available for read/write

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppSocketReceiverWrapper

    public AppSocketReceiverWrapper(AppSocketReceiver receiver,
                                    SocketAdapter<Identifier> socket,
                                    Environment env)

Method Detail

### receiveException

    public void receiveException(P2PSocket<Identifier> s,
                                 java.lang.Exception ioe)

  Description copied from interface: `P2PSocketReceiver`
  Called when there is an error

  Specified by:
    `receiveException` in interface `P2PSocketReceiver<Identifier>`

### receiveSelectResult

    public void receiveSelectResult(P2PSocket<Identifier> s,
                                    boolean canRead,
                                    boolean canWrite)
                             throws java.io.IOException

  Description copied from interface: `P2PSocketReceiver`
  Called when a socket is available for read/write

  Specified by:
    `receiveSelectResult` in interface `P2PSocketReceiver<Identifier>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.